MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions
PcmDop.hxx File Reference
`#include "check.h"`
`#include <stdint.h>`
Include dependency graph for PcmDop.hxx:

Go to the source code of this file.

## Data Structures
struct | ConstBuffer< T >
| A reference to a memory area that is read-only. More...

## Functions
ConstBuffer< uint32_t > | pcm_dsd_to_dop (PcmBuffer &buffer, unsigned channels, ConstBuffer< uint8_t > src)
| Pack DSD 1 bit samples into (padded) 24 bit PCM samples for playback over USB, according to the DoP standard: http://dsd-guide.com/dop-open-standard. More...

## Function Documentation

ConstBuffer<uint32_t> pcm_dsd_to_dop | ( | PcmBuffer & | buffer,
|  | unsigned | channels,
|  | ConstBuffer< uint8_t > | src
| ) |  |

Pack DSD 1 bit samples into (padded) 24 bit PCM samples for playback over USB, according to the DoP standard: http://dsd-guide.com/dop-open-standard.